ubuntu-location-service: com::ubuntu::location::service::session::Stub Class Reference

ubuntu-location-service .. An aggregating location service providing positioning and geocoding capabilities to applications.

Public Member Functions | List of all members
com::ubuntu::location::service::session::Stub Class Reference

`#include <stub.h>`

Inheritance diagram for com::ubuntu::location::service::session::Stub:
Collaboration diagram for com::ubuntu::location::service::session::Stub:

## Public Member Functions
| Stub (const core::dbus::Bus::Ptr &bus, const core::dbus::types::ObjectPath &session_path)
| Stub (const Stub &)=delete
virtual | ~Stub () noexcept
Stub & | operator= (const Stub &)=delete
virtual const core::dbus::types::ObjectPath & | path () const
virtual void | start_position_updates ()
virtual void | stop_position_updates () noexcept
virtual void | start_velocity_updates ()
virtual void | stop_velocity_updates () noexcept
virtual void | start_heading_updates ()
virtual void | stop_heading_updates () noexcept

## Detailed Description

Definition at line 43 of file stub.h.

## Constructor & Destructor Documentation

## ◆ Stub() [1/2]

com::ubuntu::location::service::session::Stub::Stub | ( | const core::dbus::Bus::Ptr & | bus,
|  | const core::dbus::types::ObjectPath & | session_path
| ) |  |

## ◆ Stub() [2/2]

com::ubuntu::location::service::session::Stub::Stub | ( | const Stub & |  | ) |
| delete

## ◆ ~Stub()

virtual com::ubuntu::location::service::session::Stub::~Stub | ( |  | ) |
| virtualnoexcept

## Member Function Documentation

## ◆ operator=()

Stub& com::ubuntu::location::service::session::Stub::operator= | ( | const Stub & |  | ) |
| delete

## ◆ path()

virtual const core::dbus::types::ObjectPath& com::ubuntu::location::service::session::Stub::path | ( |  | ) | const
| virtual

## ◆ start_heading_updates()

virtual void com::ubuntu::location::service::session::Stub::start_heading_updates | ( |  | ) |
| virtual

## ◆ start_position_updates()

virtual void com::ubuntu::location::service::session::Stub::start_position_updates | ( |  | ) |
| virtual

## ◆ start_velocity_updates()

virtual void com::ubuntu::location::service::session::Stub::start_velocity_updates | ( |  | ) |
| virtual

## ◆ stop_heading_updates()

virtual void com::ubuntu::location::service::session::Stub::stop_heading_updates | ( |  | ) |
| virtualnoexcept

## ◆ stop_position_updates()

virtual void com::ubuntu::location::service::session::Stub::stop_position_updates | ( |  | ) |
| virtualnoexcept

## ◆ stop_velocity_updates()

virtual void com::ubuntu::location::service::session::Stub::stop_velocity_updates | ( |  | ) |
| virtualnoexcept

The documentation for this class was generated from the following file:

- /build/location-service-git/src/location-service/include/location_service/com/ubuntu/location/service/session/stub.h